/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: $ */
/**
 * FontFinder for native Unix flavoured platforms
 */
package org.apache.fop.fonts.autodetect;

/**
 * Unix font directory finder
 * 
 * @author Adrian Cumiskey
 */
class UnixFontDirFinder extends NativeFontDirFinder {

    /*
     * @see org.apache.fop.fonts.GenericFontFinder#init()
     */
    protected FontDirInfo[] getFontDirInfo() {
        /**
         * Some guesses at possible unix font directory locations
         */
        return new FontDirInfo[] {
                new FontDirInfo(System.getProperty("user.home") + "/.fonts",
                        RECURSE), // user
                new FontDirInfo("/usr/local/fonts", RECURSE), // local
                new FontDirInfo("/usr/share/fonts", RECURSE), // system
                new FontDirInfo("/usr/X11R6/lib/X11/fonts", RECURSE) // X
        };
    }
}
